/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

/* Style the tab */
.nv-tabs {
  background-color: transparent;
  overflow: hidden;

  .nv-tab-button {
    display: inline-block;
    flex: 1 0 auto;
    overflow: hidden;
    position: relative;

    .nv-button {
      cursor: pointer;
      display: block;
      margin: 0;

      * {
        cursor: pointer;
      }
    }


    .nv-button-native {
      border-radius: 0;
    }

    &::before {
      @extend .transition-exit;

      background-color: var(--nv-theme-primary);
      bottom: 0;
      content: '';
      height: 2px;
      left: 50%;
      position: absolute;
      transform: translateX(-50%);
      transform-origin: center;
      transition-property: width;
      width: 0%;
      z-index: 2;
    }

    &.nv-tab-button-active {
      &::before {
        @extend .transition-entrance;
        width: 100%;
      }
    }
  }

  .nv-label {
    margin: 0;
  }

  .nv-tab {
    @extend .transition-exit;
    opacity: 0;
    visibility: hidden;

    &.nv-tab-hidden {
      display: none;
    }

    // Show content tab
    &.nv-tab-displayed {
      display: block;
      opacity: 1;
      visibility: visible;
    }

    // Hidden content tab
    &.nv-hiding-tab {
      @include anim-helper(hiddenContTab, 'exit');

      display: block;
    }

    // Show content tab
    // We adding 100ms because wait finish exit animation
    &.nv-displaying-tab {
      @include anim-helper(showContTab, 'input', 100ms);

      display: block;
      opacity: 0;
      visibility: hidden;
    }
  }


  .nv-tab-bar {
    display: flex;
    height: auto;
    overflow: hidden;
    width: 100%;
  }

  .nv-button {
    text-align: center;
    width: 100%;
  }

  .nv-tab-content {
    display: block;
    margin-top: 14px;
  }
}

@keyframes hiddenContTab {
  from {
    display: block;
    opacity: 1;
    visibility: visible;
  }

  to {
    display: block;
    opacity: 0;
    visibility: hidden;
  }
}

@keyframes showContTab {
  from {
    display: block;
    opacity: 0;
    transform: translateX(4%);
    visibility: hidden;
  }

  to {
    display: block;
    opacity: 1;
    transform: translateX(0%);
    visibility: visible;
  }
}
